Subject: bug#43597: 28.0.50; arc-mode.el fails to display a ZIP file

From: Eli Zaretskii <[email-masked]>
Date: Fri, 25 Sep 2020 14:00:33 +0300

> Date: Fri, 25 Sep 2020 12:53:25 +0300
> From: Eli Zaretskii <[email-masked]>
> Cc: [email-masked]
> 
> > Date: Fri, 25 Sep 2020 12:37:31 +0300
> > From: Eli Zaretskii <[email-masked]>
> > Cc: [email-masked]
> > 
> > Where can I find a zip file which exhibits this problem?
> 
> Never mind, I found such a file on my system, the same one I used when
> I added the zip64 support.  The code indeed bit-rotted since then, I'm
> looking into this.

With the file I have, replacing -1 by #xffffffff does the job.  So I
guess I will need the file you used after all.  It could be either the
file's contents, or maybe there are issues related to whether Emacs is
a 32-bit (my case) or a 64-bit (your case) program.

Thanks.